Package org.eclipse.emf.cdo.common.security

# Class NoPermissionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.SecurityException
org.eclipse.emf.cdo.common.security.NoPermissionException

All Implemented Interfaces:
  `Serializable`

public class NoPermissionException extends SecurityException
A `security exception` indicating the lack of permission required to do something.

Since:
  4.1
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoPermissionException(Object protectableObject)`
`NoPermissionException(Object protectableObject, Boolean write)`
`NoPermissionException(Object protectableObject, Boolean write, String message)`
`NoPermissionException(Object protectableObject, String message)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getProtectableObject()`
`Boolean`
`getWrite()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoPermissionException

public NoPermissionException(Object protectableObject)

### NoPermissionException

public NoPermissionException(Object protectableObject, Boolean write)

Since:
  4.21

### NoPermissionException

public NoPermissionException(Object protectableObject, String message)

### NoPermissionException

public NoPermissionException(Object protectableObject, Boolean write, String message)

Since:
  4.21

## Method Details

### getProtectableObject

public Object getProtectableObject()

### getWrite

public Boolean getWrite()

Since:
  4.21